Skip to content

A contact's purchases: products, each download's state and what they spent

GET
/api/v1/workspaces/{workspace}/contacts/{contact}/purchases
curl --request GET \
--url https://reputecast.example.com/api/v1/workspaces/acme-newsletter/contacts/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/purchases \
--header 'Authorization: Bearer <token>'

Permission: products:view

workspace
required

Workspace slug

string
/^[a-z0-9][a-z0-9-]{1,62}$/

Workspace slug

contact
required
string format: uuid

OK

Media typeapplication/json
object
canManage
required
boolean
currency
required
string
items
required
Array<object>
object
amountCents
required
integer format: int64
buyerEmail
required
string
coverAlt
required
string
coverUrl
required
string
currency
required
string
disputeReason
required
string
disputeStatus
required
string
Allowed values: "" open won lost
disputedAt
string format: date-time
download
required
object
allowed
required
integer format: int32
deliveredAt
string format: date-time
error
string
expiresAt
string format: date-time
newLink
required
boolean
newLinkAt
string format: date-time
newLinkBy
required
string
provider
required
string
revokeReason
required
string
Allowed values: "" manual refund dispute
revokedAt
string format: date-time
revokedBy
required
string
sentAt
string format: date-time
state
required
string
Allowed values: pending sent delivered failed expired used_up revoked revoked_auto
used
required
integer format: int32
id
required
string
number
required
integer format: int64
paidAt
required
string format: date-time
payWhatYouWant
required
boolean
product
required

The product’s short name (Field Guide)

string
productId
required
string
productName
required
string
refundedAt
string format: date-time
refundedCents
required
integer format: int64
status
required
string
Allowed values: paid refunded partially_refunded disputed
test
required
boolean
spentCents
required
integer format: int64

Example

{
"items": [
{
"disputeStatus": "",
"download": {
"revokeReason": "",
"state": "pending"
},
"status": "paid"
}
]
}

Error

Media typeapplication/problem+json
object
code

Stable error code, e.g. permission_denied

string
detail

A human-readable explanation specific to this occurrence of the problem.

string
errors

Optional list of individual error details

Array<object>
object
location

Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’

string
message

Error message text

string
value

The value at the given location

helpers

Members who hold the missing permission

Array<string>
instance

A URI reference that identifies the specific occurrence of the problem.

string format: uri
meta
object
key
additional properties
permission

The missing permission key

string
status

HTTP status code

integer format: int64
title

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string
type

A URI reference to human-readable documentation for the error.

string format: uri
default: about:blank

Example

{
"detail": "Property foo is required but is missing.",
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "about:blank"
}